Index: trunk/info/info/alkisn/alkislage.php
===================================================================
--- trunk/info/info/alkisn/alkislage.php	(revision 427)
+++ trunk/info/info/alkisn/alkislage.php	(revision 430)
@@ -16,5 +16,6 @@
                Gemarkung und Flur bei Gruppenwechsel FETT anzeigen
 	2022-01-12 Neue Functions LnkStf(), DsKy()
-
+	2022-07-05 PHP 8.1: Connection verwenden bei "pg_prepare" und "pg_execute", keine NULL-Werte in String-Functions verwenden
+	
 ToDo:
 	- Balken-Kennzeichen kompatibel machen mit der Eingabe der Navigation fÃŒr Adresse
@@ -102,6 +103,6 @@
 
 $v = array($gmlid);
-$res = pg_prepare("", $sql);
-$res = pg_execute("", $v);
+$res = pg_prepare($con, "", $sql);
+$res = pg_execute($con, "", $v);
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Lagebezeichnung.</p>";
@@ -259,6 +260,6 @@
 
 	$v = array($gmlid);
-	$resf = pg_prepare("", $sql);
-	$resf = pg_execute("", $v);
+	$resf = pg_prepare($con, "", $sql);
+	$resf = pg_execute($con, "", $v);
 	if (!$resf) {
 		echo "\n<p class='err'>Fehler bei Flurst&uuml;ck.</p>";
@@ -331,6 +332,6 @@
 
 			$v = array($land,$regbez,$kreis,$gem,$lage,$lage,$hsnr);
-			$res = pg_prepare("", $sql);
-			$res = pg_execute("", $v);
+			$res = pg_prepare($con, "", $sql);
+			$res = pg_execute($con, "", $v);
 			if (!$res) {
 				echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.</p>";
@@ -351,6 +352,6 @@
 
 			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu);
-			$res = pg_prepare("", $sql);
-			$res = pg_execute("", $v);
+			$res = pg_prepare($con, "", $sql);
+			$res = pg_execute($con, "", $v);
 
 			if (!$res) {echo "\n<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>";}
@@ -367,6 +368,6 @@
 			.$whereclaus."AND pseudonummer= $6 AND laufendenummer <> $7 AND l.endet IS NULL ORDER BY laufendenummer;";
 			$v=array($land,$regbez,$kreis,$gem,$lage,$pseu,$lfd);
-			$res = pg_prepare("", $sql);
-			$res = pg_execute("", $v);
+			$res = pg_prepare($con, "", $sql);
+			$res = pg_execute($con, "", $v);
 			if (!$res) {
 				echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.</p>";
@@ -394,5 +395,5 @@
 
 	$sql ="SELECT g.gml_id, g.gebaeudefunktion, array_to_string(g.name, ',') AS name, g.bauweise, g.grundflaeche, g.zustand, round(st_area(g.wkb_geometry)::numeric,2) AS flaeche,
-	h.beschreibung AS hv, h.dokumentation AS hd, u.beschreibung AS uv, u.dokumentation AS ud, z.beschreibung AS zv, z.dokumentation AS zd FROM ax_gebaeude g 
+	h.beschreibung AS hv, coalesce(h.dokumentation, '') AS hd, u.beschreibung AS uv, coalesce(u.dokumentation, '') AS ud, z.beschreibung AS zv, coalesce(z.dokumentation, '') AS zd FROM ax_gebaeude g 
 	LEFT JOIN ax_bauweise_gebaeude h ON g.bauweise = h.wert
 	LEFT JOIN ax_gebaeudefunktion u ON g.gebaeudefunktion = u.wert
@@ -403,6 +404,6 @@
 
 	$v = array($gmlid);
-	$res = pg_prepare("", $sql);
-	$res = pg_execute("", $v);
+	$res = pg_prepare($con, "", $sql);
+	$res = pg_execute($con, "", $v);
 	if (!$res) {
 		echo "\n<p class='err'>Fehler bei Geb&auml;ude.</p>";
@@ -422,10 +423,13 @@
 		$ggml=$row["gml_id"];
 		$gfla=$row["flaeche"];
+		$ud=htmlentities($row["ud"], ENT_QUOTES, "UTF-8");
+		$hd=htmlentities($row["hd"], ENT_QUOTES, "UTF-8");
+		$zd=htmlentities($row["zd"], ENT_QUOTES, "UTF-8");
 		echo "\n<tr>"
 		."\n\t<td>".$row["name"]."</td>"
 		."\n\t<td class='fla'>".$gfla." m&#178;</td>"
-		."\n\t<td title='".htmlentities($row["ud"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["gebaeudefunktion"], 'Geb&auml;udefunktion-*').$row["uv"]."</td>"
-		."\n\t<td title='".htmlentities($row["hd"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["bauweise"], 'Bauweise-*').$row["hv"]."</td>"
-		."\n\t<td title='".htmlentities($row["zd"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["zustand"], 'Zustand-*').$row["zv"]."</td>"
+		."\n\t<td title='".$ud."'>".DsKy($row["gebaeudefunktion"], 'Geb&auml;udefunktion-*').$row["uv"]."</td>"
+		."\n\t<td title='".$hd."'>".DsKy($row["bauweise"], 'Bauweise-*').$row["hv"]."</td>"
+		."\n\t<td title='".$zd."'>".DsKy($row["zustand"], 'Zustand-*').$row["zv"]."</td>"
 		."\n\t<td class='nwlink noprint'>"
 			."\n\t\t<a title='komplette Hausdaten' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml.LnkStf()
